# Bootnode

## Options

- ```listen-addr```: listening address of bootnode (<ip>:<port>)

- ```v5```: Enable UDP v5

- ```log-level```: Log level (trace|debug|info|warn|error|crit)

- ```nat```: port mapping mechanism (any|none|upnp|pmp|extip:<IP>)

- ```node-key```: file or hex node key

- ```save-key```: path to save the ecdsa private key

- ```dry-run```: validates parameters and prints bootnode configurations, but does not start bootnode